Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- Spinner
- Text
- Widget

# Type Spinner

Extends Control.
RWT Scripting analoge to org.eclipse.swt.widgets.Spinner

Type Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Spinner() The constructor is not public.

Fields borrowed from class Widget:
  $el

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getMaximum() Returns the maximum value which the receiver will allow.
| getMinimum() Returns the minimum value which the receiver will allow.
| getSelection() Returns the 'selection', which is the receiver's position.
| getText() Returns a string containing a copy of the contents of the receiver's text field, or an empty string if there are no contents.
| setSelection(selection) Sets the 'selection', which is the receiver's value, to the argument which must be greater than or equal to zero.

Methods borrowed from class Control:
  addListener, forceFocus, getBackground, getCursor, getEnabled, getForeground, getToolTipText, getVisible, removeListener, setBackground, setEnabled, setForeground, setToolTipText, setVisible
Methods borrowed from class Widget:
  getData, setData

Event Summary
Event Attributes | Event Name and Description
--- | ---
| Modify Sent when the widget text is changed
| Selection Sent when the widget selection is changed

Events borrowed from class Control:
  FocusIn, FocusOut, Hide, KeyDown, KeyUp, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseMove, MouseUp, MouseWheel, Paint, Show

Type Detail
Spinner()
The constructor is not public.

Since:
  2.2

Method Detail
{int} getMaximum()
Returns the maximum value which the receiver will allow.

Returns:
  {int} the maximum

{int} getMinimum()
Returns the minimum value which the receiver will allow.

Returns:
  {int} the minimum

{int} getSelection()
Returns the 'selection', which is the receiver's position.

Returns:
  {int} the selection

{string} getText()
Returns a string containing a copy of the contents of the receiver's text field, or an empty string if there are no contents.

Returns:
  {string} the receiver's text

setSelection(selection)
Sets the 'selection', which is the receiver's value, to the argument which must be greater than or equal to zero.

Parameters:
{int} selection
  the new selection (must be zero or greater)

Event Detail
Modify
Sent when the widget text is changed

Parameters:
{Event} event

See:
  SWT.Modify

Selection
Sent when the widget selection is changed

Parameters:
{Event} event

See:
  SWT.Selection

Copyright (c) EclipseSource and others 2013, 2016. All rights reserved.